C                                                            <HTML><PRE>
C Subroutine file 'varnul.for' - empty subroutines VAR1 to VAR6.
C
C Date: 1996, September 30
C Coded by Ludek Klimes
C
C.......................................................................
C
C Subroutine VAR1 and its entries VAR2, VAR3, VAR4 and VAR5 are called
C from the model specification subroutines in order to keep in the
C memory variations of the functions describing the model, with respect
C to their coefficients.  The variations are required for the
C travel-time inversion of the model and are recalled from the memory by
C calling the entry VAR6, see the subroutine file 'var.for'.  In the
C case of forward modelling, the invocation of subroutines VAR1, VAR2,
C VAR3, VAR4 and VAR5 is useless.
C
C In the case of forward modelling, either:
C     The complete ray tracing program may be linked with the empty
C     subroutines of this file,
C or:
C     User may remove the invocations of the subroutines VAR1, VAR2,
C     VAR3, VAR4 and VAR5 from the model specification subroutine files.
C     This option saves the CPU time with respect to the former one.
C     In the basic version of C.R.T. routines, subroutines VAR* are
C     called from the following subroutine files:
C             'model.for' 7 times (in subroutines VELOC and POWER),
C             'parm.for'  7 times (in subroutine PARM2),
C             'val.for'  21 times (in subroutine VAL2),
C             'fit.for'   3 times (in subrs. CURVBD, SURFBD and VAL3BD).
C     Note that the corresponding call statements contain the substring
C             '     CALL VAR', and are denoted by '*V' in the first two
C             columns of the distributed source code.
C     Attention: there is a continuation line of such a call statement
C     in the file 'fit.for'.
C
C-----------------------------------------------------------------------
C
      SUBROUTINE VAR1()
C     Dummy arguments of all entries:
      INTEGER IBI,IBB,IVAL,IVAL0,II,IEND
      REAL B0I,B1I,B2I,B3I,BBI
C
      ENTRY VAR2(IBI,B0I,B1I,B2I,B3I)
C
      ENTRY VAR3(IBI)
C
      ENTRY VAR4(IBB,BBI)
C
      ENTRY VAR5(IVAL,IVAL0)
      RETURN
C
      ENTRY VAR6(IVAL,II,IEND,IBI,B0I,B1I,B2I,B3I)
C       <A NAME="error360"></A><FONT COLOR="RED">360</FONT>
        CALL ERROR('360 in VAR6: No variations stored')
C       Model-treating subroutine files are linked with the
C       dummy subroutine file 'varnul.for' instead of 'var.for'.
C       No variations are stored in the memory, thus the entry
C       VAR6 cannot be called.
      RETURN
      END
C
C=======================================================================
C                                                                 </PRE>
